### Method

# Fwupd BiosSetting set_filename

since: 2.1.1

#### Declaration [src]

    void
    fwupd_bios_setting_set_filename (
      FwupdBiosSetting* self,
      const gchar* filename
    )

#### Description [src]

Sets the filename within `path` where values are read/written. If not set, defaults to “current_value”.

Available since: 2.1.1

#### Parameters

`filename`

  Type: `const gchar*`

  The filename within `path` for value operations.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.